// UTCの日付に対してローカルのロケール＋タイムゾーンを考慮して表示形式と時刻補正を行った文字列を返却する
export const convertUtcToLocal = (
  utcDateString: string,
  formatOptions?: Intl.DateTimeFormatOptions
): string => {
  if (Number.isNaN(Date.parse(utcDateString))) {
    // 日付文字列が未定義または無効な場合は 変換を行わない
    return utcDateString;
  }

  const utcDate = new Date(utcDateString);
  return formatOptions
    ? utcDate.toLocaleString(undefined, formatOptions)
    : utcDate.toLocaleString();
};
